Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ix.iserve.ipc.sl
Enum SLHttpHeader

    java.lang.Object
      java.lang.Enum<SLHttpHeader>
          ix.iserve.ipc.sl.SLHttpHeader

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SLHttpHeader>

    public enum SLHttpHeader

extends java.lang.Enum<SLHttpHeader>

Second-Life-related header names for HTTP requests sent from SL.

Enum Constant Summary
`USER_AGENT`
`XSL_LOCAL_POSITION`
`XSL_LOCAL_ROTATION`
`XSL_LOCAL_VELOCITY`
`XSL_OBJECT_KEY`
`XSL_OBJECT_NAME`
`XSL_OWNER_KEY`
`XSL_OWNER_NAME`
`XSL_REGION`
`XSL_SHARD`

Method Summary
`java.lang.String` | `getHeader(javax.servlet.http.HttpServletRequest req)`
`java.lang.String` | `requireHeader(javax.servlet.http.HttpServletRequest req)`
`java.lang.String` | `text()`
`static SLHttpHeader` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SLHttpHeader[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER_AGENT

    public static final SLHttpHeader USER_AGENT

### XSL_SHARD

    public static final SLHttpHeader XSL_SHARD

### XSL_OBJECT_NAME

    public static final SLHttpHeader XSL_OBJECT_NAME

### XSL_OBJECT_KEY

    public static final SLHttpHeader XSL_OBJECT_KEY

### XSL_REGION

    public static final SLHttpHeader XSL_REGION

### XSL_LOCAL_POSITION

    public static final SLHttpHeader XSL_LOCAL_POSITION

### XSL_LOCAL_ROTATION

    public static final SLHttpHeader XSL_LOCAL_ROTATION

### XSL_LOCAL_VELOCITY

    public static final SLHttpHeader XSL_LOCAL_VELOCITY

### XSL_OWNER_NAME

    public static final SLHttpHeader XSL_OWNER_NAME

### XSL_OWNER_KEY

    public static final SLHttpHeader XSL_OWNER_KEY

Method Detail

### values

    public static SLHttpHeader[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SLHttpHeader c : SLHttpHeader.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SLHttpHeader valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### text

    public java.lang.String text()

### getHeader

    public java.lang.String getHeader(javax.servlet.http.HttpServletRequest req)

### requireHeader

    public java.lang.String requireHeader(javax.servlet.http.HttpServletRequest req)
                                   throws HttpRequestException

  Throws:
    `HttpRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD